Bug 1205645

Summary: Dependency issue: python-oslo-versionedobjects is required by heat and not in the delorean repos
Product: [Community] RDO Reporter: Udi <ukalifon>
Component: openstack-tripleoAssignee: James Slagle <jslagle>
Status: CLOSED EOL QA Contact: Shai Revivo <srevivo>
Severity: high Docs Contact:
Priority: unspecified    
Version: JunoCC: snarwade, surajnarwade353
Target Milestone: ---   
Target Release: Kilo   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-19 16:11:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Udi 2015-03-25 11:55:21 UTC
Description of problem:
When installing according to the sphinx docs https://repos.fedorapeople.org/repos/openstack-m/instack-undercloud/html/virt-setup.html#preparing-the-host-machine the installation fails:

--> Finished Dependency Resolution
Error: Package: openstack-heat-common-2015.1-dev829.el7.centos.noarch (delorean-rdo-management)
           Requires: python-oslo-versionedobjects
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


How reproducible:
100%


Steps to Reproduce:
1. Follow the sphinx instructions


Actual results:
Installation fails


Expected results:
The script which sets up the repos should set all needed repos, or this dependency should be in the delorean repos.


Additional info:
You can get the needed package form http://trunk.rdoproject.org/centos70/current/

Comment 1 Udi 2015-03-25 12:46:05 UTC
the package should be in the repos by now:
02:22:54 PM) trown: I am adding oslo-versioned objects temporarily to our delorean as a workaround

Comment 5 Suraj Narwade 2016-05-19 09:04:53 UTC
(In reply to Suraj Narwade from comment #4)
> https://github.com/rdo-packages/heat-distgit/blob/rpm-master/openstack-heat.
> spec

python-oslo-versionedobjects is already present in the heat, here is link:  
https://github.com/rdo-packages/heat-distgit/blob/rpm-master/openstack-heat.spec
So, I am closing this bug.

Comment 6 Chandan Kumar 2016-05-19 16:11:31 UTC
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.